.song {
  margin: 10px;
  padding: 1rem;
  background-color: #ccc;
  opacity: 0.9;
  border-radius: 7px;
  width: 19rem;
  height: 23rem;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
}
.song:hover {
    // border: solid 1px #414141;
    opacity: 1;
    // transition: 3s;
}
.song__figure {
  width: 100%;
  height: 100%;
}

.song__image {
  width: 100%;
  border-radius: 10px;
}
.card__text {
  display: grid;
  grid-template-columns: 85% 15%;
  // height: 100%;
  align-items: end;
}
.song__info {
  columns: 1;
}
.artist__name,
.song__name {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.song__icon {
  color: gray;
  font-size: 2rem;
  columns: 2;
}

.like {
  color: #1ed760;
}
